Subject: Re: linux-next: build failure after merge of the block tree

From: Gao Xiang <[email-masked]>
Date: Fri, 13 Mar 2020 15:24:24 +0800

Hi Matteo,

On Thu, Mar 12, 2020 at 02:57:14PM +0100, Matteo Croce wrote:

[]

> 
> I'm running coccinelle with this change appended, and also an all allyesconfig

I just notice this topic as a part of regular mailing list reading...

I didn't see this change before, but it seems that's a trivial patch
at least from EROFS part.

And maybe yes, testing allyesconfig (or allmodconfig) in advance
is better just for the sake of dependency safety...

For the new following part, feel free to add my

Acked-by: Gao Xiang <[email-masked]>

if it's of some use (If it's useless, please ignore the above words.)

Thanks,
Gao Xiang

> 
> --- a/fs/erofs/internal.h
> +++ b/fs/erofs/internal.h
> @@ -16,6 +16,7 @@
>  #include <linux/magic.h>
>  #include <linux/slab.h>
>  #include <linux/vmalloc.h>
> +#include <linux/blkdev.h>
>  #include "erofs_fs.h"
> 
> Regards,
> -- 
> Matteo Croce
> per aspera ad upstream
>